#ifndef _INTR_H_INCLUDED_
#define _INTR_H_INCLUDED_

#include "interrupt.h"

/* եȥߥ٥ */
#define SOFTVEC_TYPE_NUM     256
#define SOFTVEC_TYPE_IRQ(x)  ((x) + 32)

#define SOFTVEC_TYPE_SYSCALL 0				// SWI #0
#define SOFTVEC_TYPE_SOFTERR 1				// SWI #1
#define SOFTVEC_TYPE_SERINTR SOFTVEC_TYPE_IRQ(6)

/* ߥȥʬ */
void intc_init(void);
void intc_enable(softvec_type_t type);
void intc_disable(softvec_type_t type);
softvec_type_t intc_vector(void);

#endif
