/* ARMv4$B8~$1$NDj5A!J(BARMv5$B0J9_$G$O%U%i%0$N<oN`$,A}$($^$9!K(B */

#define	PSR_N		(1 << 31)	/* negative */
#define	PSR_Z		(1 << 30)	/* zero */
#define	PSR_C		(1 << 29)	/* carry */
#define	PSR_V		(1 << 28)	/* overflow */

#define	PSR_I		(1 << 7)	/* IRQ$B6X;_(B */
#define	PSR_F		(1 << 6)	/* FIQ$B6X;_(B */
#define	PSR_T		(1 << 5)	/* Thumb$B%b!<%I(B */
#define	PSR_M_USR	(0x10 << 0)	/* $B%W%m%;%C%5%b!<%I!'(Buser */
#define	PSR_M_FIQ	(0x11 << 0)	/* $B%W%m%;%C%5%b!<%I!'(BFIQ */
#define	PSR_M_IRQ	(0x12 << 0)	/* $B%W%m%;%C%5%b!<%I!'(BIRQ */
#define	PSR_M_SVC	(0x13 << 0)	/* $B%W%m%;%C%5%b!<%I!'(Bsupervisor */
#define	PSR_M_ABT	(0x17 << 0)	/* $B%W%m%;%C%5%b!<%I!'(Babort */
#define	PSR_M_UND	(0x1b << 0)	/* $B%W%m%;%C%5%b!<%I!'(Bundefined */
#define	PSR_M_SYS	(0x1f << 0)	/* $B%W%m%;%C%5%b!<%I!'(Bsystem */
